package com.jxy.order.enums;

/**
 * @Description 支持转账的币种 现仅支持BUSD、USDC、USDT
 * @Date 2023/6/6 15:02
 * @Author 杜懿
 */

public enum Chain {
    TRX("TRX"),
    ETH("ETH"),
    BSC("BSC");

    private final String chain;

    Chain(String chain)
    {
        this.chain = chain;
    }

    public String getChain()
    {
        return chain;
    }

    public static boolean judge(String chain){
        for (Chain c : Chain.values()) {
            if(c.getChain().equals(chain.toUpperCase())){
                return true;
            }
        }
        return false;
    }

}
